package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Admin struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Phone      string             `bson:"phone,omitempty" json:"phone"`
	Name       string             `bson:"name,omitempty" json:"name"`
	Password   string             `bson:"password,omitempty" json:"password"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	IsRoot     *bool              `bson:"isRoot,omitempty" json:"isRoot"`
	LastLogin  time.Time          `bson:"lastLogin,omitempty" json:"lastLogin"`
	Perms      string             `bson:"perms,omitempty" json:"perms"` //all fabric
}
